<template>
<div>
  <v-row>
    <v-col>
      <h1>Les Frisbee de KillerBee</h1>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <list-card
        title="Modèles"
        :fetchedElements="designs"
        slug="models"
      ></list-card>
    </v-col>
    <v-col>
      <list-card
        title="Ingrédients"
        :fetchedElements="ingredients"
        slug="ingredients"
      ></list-card>
    </v-col>
    <v-col>
      <list-card
        title="Procédés de fabrication"
        :fetchedElements="processes"
        slug="processes"
      ></list-card>
    </v-col>
  </v-row>
</div>
</template>

<script>
import Vue from 'vue'
import ListCard from '../components/ListCard.vue';

export default Vue.extend({
  components: { ListCard },
  data() {
    return {
      designs: [],
      ingredients: [],
      processes: [],
    }
  },
  mounted() {
    // const token = document.cookie
    //   .split('; ')
    //   .find(row => row.startsWith('token='))
    //   .split('=')[1];
    // this.$axios.setToken(token, 'Bearer')

    this.$axios.get('/designs')
      .then(res => {
        if (res.status === 200) {
          this.designs = res.data === null ? [] : res.data;
        } else {
          console.log(res);
        }
      })
      .catch(err => {
        console.log(err);
      })

    this.$axios.get('/ingredients')
      .then(res => {
        if (res.status === 200) {
          this.ingredients = res.data === null ? [] : res.data;
        } else {
          console.log(res);
        }
      })
      .catch(err => {
        console.log(err);
      })

    this.$axios.get('/processes')
      .then(res => {
        if (res.status === 200) {
          this.processes = res.data === null ? [] : res.data;
        } else {
          console.log(res);
        }
      })
      .catch(err => {
        console.log(err);
      })
  }
})
</script>
